# Copyright (c) 2014 BaseSoft B.V.
# See LICENSE for details.

from basesoft.web.contrib.license import models as license_models

__mapping_defined = False
__tables_defined = False
tables = {}

def reset():
    global __mapping_defined
    global __tables_defined

    __mapping_defined = False
    __tables_defined = False

def get_tables():
    return tables

def do_tables(metadata):
    """
    This function is called by Django middleware when needed.
    """
    global __tables_defined
    if __tables_defined:
        return

    __tables_defined = True

def do_mappings():
    """
    This function is called by Django middleware when needed.
    """
    global __mapping_defined
    if __mapping_defined:
        return

    __mapping_defined = True

def fill_data(conn):
    pass

def app_permissions_category():
    """
    Returns a category for all permissions defined for this app
    """
    return license_models.PermissionCategory(u'WEEE Blackbox report')

def app_permissions():
    from django.utils.translation import ugettext as _
    return [

        license_models.Permission(u'weeeblacbox_report_access', u"""
            This gives the right to access the WEEE Blackbox reporting tools
            """, _("WEEE Blackbox reporting tools")),

    ]
